package com.unis.detectionnum.server.dao;

import java.util.List;

import com.unis.detectionnum.common.vo.CallAlarmQueryVO;
import com.unis.detectionnum.common.vo.DeviceAlarmQueryVO;
import com.unis.detectionnum.common.vo.DeviceAlarmRecodVO;
import com.unis.detectionnum.common.vo.DeviceAlarmStatisticVO;
import com.unis.detectionnum.server.entity.DeviceAlarmDO;

public interface DeviceAlarmDao {
    int deleteByPrimaryKey(Integer id);

    int insert(DeviceAlarmDO record);

    void insertSelective(DeviceAlarmDO record);

    DeviceAlarmDO selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(DeviceAlarmDO record);

    int updateByPrimaryKey(DeviceAlarmDO record);

	/** 
	 * @Title: storehouseStatistic 
	 * @Description: TODO
	 * @param @param kddm
	 * @param @return
	 * @return DeviceAlarmStatisticVO
	 * @throws 
	 */
	DeviceAlarmStatisticVO storehouseStatistic(String kddm);

	/** 
	 * @Title: selectByParam 
	 * @Description: TODO
	 * @param @param deviceAlarmQueryVO
	 * @param @return
	 * @return List<DeviceAlarmRecodVO>
	 * @throws 
	 */
	List<DeviceAlarmRecodVO> selectByParam(DeviceAlarmQueryVO deviceAlarmQueryVO);

    String getAlarmStatus(String sbCode);

    CallAlarmQueryVO getCallAlarm(String cfBH);
}